Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.format.template
Class TemplateRepository

    java.lang.Object
      org.jboss.portal.format.template.TemplateRepository

Direct Known Subclasses:
  TemplateLoader

    public class TemplateRepository

extends java.lang.Object

Author:
  Julien Viet

Nested Class Summary
`static class` | `TemplateRepository.TemplateClassLoader`

Constructor Summary
`TemplateRepository()`

Method Summary
`void` | `addTemplate(java.lang.String name, org.dom4j.Document doc)`
`void` | `addTemplate(java.lang.String name, org.dom4j.Document doc, java.util.Set names)`
`void` | `addTemplate(java.lang.String name, org.dom4j.Element node)`
`void` | `addTemplate(java.lang.String name, org.dom4j.Element node, java.util.Set names)`
`void` | `clear()`
`Template` | `createTemplate(java.lang.String name)`
`Template` | `createTemplate(java.lang.String name, Context ctx)` Creates a new template instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TemplateRepository

    public TemplateRepository()

Method Detail

### createTemplate

    public Template createTemplate(java.lang.String name)

### createTemplate

    public Template createTemplate(java.lang.String name,
                                   Context ctx)

  Creates a new template instance.

  Parameters:
    `name` - the template name
    `ctx` - the context with the template properties
  Returns:
    the template instance or null if it is not found

### addTemplate

    public void addTemplate(java.lang.String name,
                            org.dom4j.Document doc)
                     throws BuildException

  Throws:
    `BuildException`

### addTemplate

    public void addTemplate(java.lang.String name,
                            org.dom4j.Element node)
                     throws BuildException

  Throws:
    `BuildException`

### addTemplate

    public void addTemplate(java.lang.String name,
                            org.dom4j.Document doc,
                            java.util.Set names)
                     throws BuildException

  Throws:
    `BuildException`

### addTemplate

    public void addTemplate(java.lang.String name,
                            org.dom4j.Element node,
                            java.util.Set names)
                     throws BuildException

  Throws:
    `BuildException`

### clear

    public void clear()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD